Tweak to ffmpeg compatibility layer to support debian's wheezy libav
authorSergey Sharybin <sergey.vfx@gmail.com>
Sun, 13 Jan 2013 17:10:10 +0000 (17:10 +0000)
committerSergey Sharybin <sergey.vfx@gmail.com>
Sun, 13 Jan 2013 17:10:10 +0000 (17:10 +0000)
intern/ffmpeg/ffmpeg_compat.h

index 5492a7b..0174d3c 100644 (file)
@@ -74,7 +74,9 @@
 
 #if ((LIBAVUTIL_VERSION_MAJOR > 51) || (LIBAVUTIL_VERSION_MAJOR == 51) && (LIBAVUTIL_VERSION_MINOR >= 32))
 #define FFMPEG_FFV1_ALPHA_SUPPORTED
-#else
+#endif
+
+#if ((LIBAVUTIL_VERSION_MAJOR < 51) || (LIBAVUTIL_VERSION_MAJOR == 51) && (LIBAVUTIL_VERSION_MINOR < 22))
 static inline
 int av_opt_set(void *obj, const char *name, const char *val, int search_flags)
 {